package com.ippon.borestop.activity.domain;

import com.ippon.borestop.common.domain.error.Assert;

public class Idea {

  private final String label;
  private final Category category;

  public Idea(String label, Category category) {
    Assert.notBlank("label", label);
    Assert.notNull("category", category);

    this.label = label;
    this.category = category;
  }

  public String getLabel() {
    return label;
  }

  public Category getCategory() {
    return category;
  }
}
