package com.ippon.borestop.common.domain.error;

public final class Assert {

  private Assert() {}

  public static void notNull(String field, Object input) {
    if (input == null) {
      throw MissingMandatoryValueException.forNullValue(field);
    }
  }

  public static void notBlank(String field, String input) {
    notNull(field, input);

    if (input.isBlank()) {
      throw MissingMandatoryValueException.forBlankValue(field);
    }
  }
}
