package com.ippon.borestop.activity.domain;

public final class ActivitiesFixture {

  private ActivitiesFixture() {}

  public static Activity activity() {
    return new Activity(idea(), threePartners());
  }

  public static Idea idea() {
    return new Idea(label(), Category.RELAXATION);
  }

  public static String label() {
    return "This is my idea";
  }

  public static Partners threePartners() {
    return Partners.builder().add(firstPartner()).add(secondPartner()).add(thirdPartner()).build();
  }

  public static Partner thirdPartner() {
    return Partner.builder().name("third").website("http://third.com").build();
  }

  public static Partner secondPartner() {
    return Partner.builder().name("second").website("http://second.com").build();
  }

  public static Partner firstPartner() {
    return Partner.builder().name("name").website("http://name.com").build();
  }

  public static Partners partners() {
    return threePartners();
  }

  public static Partners emptyPartners() {
    return Partners.empty();
  }
}
