package com.ippon.borestop.common;

import com.ippon.borestop.BorestopApp;
import io.github.jhipster.config.JHipsterConstants;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.context.SpringBootTest.WebEnvironment;
import org.springframework.test.context.ActiveProfiles;

@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@ActiveProfiles(JHipsterConstants.SPRING_PROFILE_TEST)
@SpringBootTest(classes = BorestopApp.class, webEnvironment = WebEnvironment.RANDOM_PORT)
public @interface BorestopIntTest {
}
