package fr.ippon.employee;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;

class EmployeeTest {

  @Test
  void shouldCapitalizeSimpleName() {
    Employee employee = new Employee("jeaN", 14);

    assertThat(employee.name()).isEqualTo("Jean");
  }

  @Test
  void shouldCapitalizeComposedName() {
    Employee employee = new Employee("jean-charles", 14);

    assertThat(employee.name()).isEqualTo("Jean-Charles");
  }

  @Test
  void shouldCapitalizeComposedNameWithAccents() {
    Employee employee = new Employee("jean jérémie", 14);

    assertThat(employee.name()).isEqualTo("Jean Jérémie");
  }

}
