package fr.ippon.employee;

public class Employee {

  private final String name;
  private final int age;

  public Employee(String name, int age) {
    this.name = name;
    this.age = age;
  }

  boolean isAdult() {
    return age >= 18;
  }

  public String getName() {
    return name.toUpperCase();
  }
}
