package fr.ippon.employee;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;

public class EmployeeReportTest {

  private static final EmployeeReport employees = buildEmployees();

  private static EmployeeReport buildEmployees() {
    return new EmployeeReport(new Employee("Max", 17), new Employee("Sepp", 18), new Employee("Nina", 15), new Employee("mike", 51));
  }

  @Test
  void shouldGetAdultEmployees() {
    assertThat(employees.getAdults()).containsExactly("SEPP", "MIKE");
  }
}
