package fr.ippon.factory;

public class Lastname {

  private final String lastname;

  public Lastname(String lastname) {
    assertLastname(lastname);

    this.lastname = lastname;
  }

  private void assertLastname(String lastname) {
    if (lastname == null) {
      throw new IllegalArgumentException();
    }
  }

  public String get() {
    return lastname;
  }
}
