package fr.craft.kata;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.function.IntFunction;
import java.util.stream.Collectors;
import java.util.stream.IntStream;

public class Diamond {

  public static List<String> of(char size) {
    List<String> diamond = IntStream.range((int) 'A', ((int) size) + 1).mapToObj(toLine(size)).collect(Collectors.toList());

    List<String> secondPart = new ArrayList<>(diamond);
    Collections.reverse(secondPart);
    secondPart.remove(0);

    diamond.addAll(secondPart);

    return diamond;
  }

  private static IntFunction<String> toLine(char size) {
    return current -> Line.of((char) current, size).representation();
  }
}
