package fr.craft.kata;

import static org.assertj.core.api.Assertions.*;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.List;
import org.junit.jupiter.api.Test;

class DiamondTest {

  @Test
  void shouldDrawDiamondOfA() {
    assertThat(Diamond.of('A')).isEqualTo(diamond('A'));
  }

  @Test
  void shouldDrawDiamondOfB() {
    assertThat(Diamond.of('B')).isEqualTo(diamond('B'));
  }

  @Test
  void shouldDrawDiamondOfC() {
    assertThat(Diamond.of('C')).isEqualTo(diamond('C'));
  }

  @Test
  void shouldDrawDiamondOfD() {
    assertThat(Diamond.of('D')).isEqualTo(diamond('D'));
  }

  private List<String> diamond(char file) {
    try {
      return Files.readAllLines(Paths.get("src/test/resources/" + String.valueOf(file).toLowerCase() + ".txt"));
    } catch (IOException e) {
      throw new AssertionError(e.getMessage(), e);
    }
  }
}
