package fr.craft.kata;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;

class LineTest {

  @Test
  void shouldGetLetterALineForSizeA() {
    assertThat(Line.of('A', 'A').representation()).isEqualTo("A");
  }

  @Test
  void shouldGetLetterALineForSizeB() {
    assertThat(Line.of('A', 'B').representation()).isEqualTo(" A ");
  }

  @Test
  void shouldGetLetterBLineForSizeB() {
    assertThat(Line.of('B', 'B').representation()).isEqualTo("B B");
  }

  @Test
  void shouldGetLetterBLineForSizeC() {
    assertThat(Line.of('B', 'C').representation()).isEqualTo(" B B ");
  }

  @Test
  void shouldGetLetterDLineForSizeD() {
    assertThat(Line.of('D', 'D').representation()).isEqualTo("D" + " ".repeat(5) + "D");
  }
}
