package fr.ippon.streams;

import java.util.Arrays;
import java.util.Collection;

public class Shop {

  private final String name;
  private final Collection<Employee> employees;

  public Shop(String name, Employee... employees) {
    this.name = name;
    this.employees = Arrays.asList(employees);
  }

  public String getName() {
    return name;
  }

  public Collection<Employee> getEmployees() {
    return employees;
  }
}
