package fr.ippon.leapyears;

public class Years {

  public static boolean isLeap(int year) {
    return new Year(year).isLeap();
  }

  private static class Year {

    private final int year;

    public Year(int year) {
      this.year = year;
    }

    private boolean isLeap() {
      if (year % 400 == 0) {
        return true;
      }

      if (year % 100 == 0) {
        return false;
      }

      if (year % 4 == 0) {
        return true;
      }

      return false;
    }
  }
}
