package com.ippon.borestop.activity.application;

import com.ippon.borestop.activity.domain.ActivitiesFactory;
import com.ippon.borestop.activity.domain.Activity;
import com.ippon.borestop.activity.domain.IdeasRepository;
import com.ippon.borestop.activity.domain.PartnersRepository;
import org.springframework.stereotype.Service;

@Service
public class ActivitesApplicationService {

  private final ActivitiesFactory activities;

  public ActivitesApplicationService(IdeasRepository ideas, PartnersRepository partners) {
    activities = new ActivitiesFactory(ideas, partners);
  }

  public Activity next() {
    return activities.next();
  }
}
