package com.ippon.borestop.activity.domain;

public class Activities {

  private final IdeasRepository ideas;
  private final PartnersRepository partners;

  public Activities(IdeasRepository ideas, PartnersRepository partners) {
    this.ideas = ideas;
    this.partners = partners;
  }

  public Activity next() {
    Idea idea = ideas.next();

    Partners matchingPartners = partners.find(idea.getCategory());

    return new Activity(idea, matchingPartners);
  }
}
