package com.ippon.borestop.activity.domain;

public class ActivitiesFactory {

  private final IdeasRepository ideas;
  private final PartnersRepository partners;

  public ActivitiesFactory(IdeasRepository ideas, PartnersRepository partners) {
    this.ideas = ideas;
    this.partners = partners;
  }

  public Activity next() {
    Idea idea = ideas.next();
    Partners partners = this.partners.find(idea.getCategory());

    return new Activity(idea, partners);
  }
}
