package com.ippon.borestop.activity.infrastructure.secondary;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.ippon.borestop.activity.domain.Idea;

class BoredApiResponse {

  private final String activity;
  private final String type;

  public BoredApiResponse(@JsonProperty("activity") String activity, @JsonProperty("type") String type) {
    this.activity = activity;
    this.type = type;
  }

  public String getActivity() {
    return activity;
  }

  public String getType() {
    return type;
  }

  public Idea toDomain() {
    return new Idea(this.activity, BoredApiCategory.from(type).toDomain());
  }
}
