package com.ippon.borestop.activity.infrastructure.secondary;

import com.ippon.borestop.activity.domain.Category;
import com.ippon.borestop.activity.domain.Partner;
import com.ippon.borestop.activity.domain.Partners;
import com.ippon.borestop.activity.domain.PartnersRepository;
import org.springframework.stereotype.Service;

@Service
class InMemoryPartnersRepository implements PartnersRepository {

  @Override
  public Partners find(Category category) {
    // TODO: partners by category
    Partner beerHunter = Partner.builder().name("Beer Hunter").website("https://beerhunter.fr").build();

    return Partners.builder().add(beerHunter).build();
  }
}
