package com.ippon.borestop.activity.infrastructure.secondary;

import static org.assertj.core.api.Assertions.*;

import com.ippon.borestop.activity.domain.Idea;
import com.ippon.borestop.activity.domain.IdeasRepository;
import com.ippon.borestop.common.BorestopIntTest;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;

@BorestopIntTest
class BoredApiIdeasRepositoryIntTest {

  @Autowired
  private IdeasRepository ideasRepository;

  @Test
  void shouldGetNextIdea() {
    Idea idea = ideasRepository.next();

    assertThat(idea.getCategory()).isNotNull();
    assertThat(idea.getLabel()).isNotNull();
  }
}
