package com.ippon.borestop.activity.infrastructure.secondary;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/fake-bored-api")
class FakeBoredApi {

  private boolean slow;

  void reset() {
    slow = false;
  }

  void slowDown() {
    slow = true;
  }

  @GetMapping
  ResponseEntity<BoredApiResponse> getResponse() throws InterruptedException {
    if (slow) {
      Thread.sleep(500);
    }

    BoredApiResponse response = new BoredApiResponse("Hey", "cooking");

    return ResponseEntity.ok(response);
  }
}
