package fr.ippon.factory;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;

public class LastnameTest {

  @Test
  void shouldNotBuildWithoutLastname() {
    assertThatThrownBy(() -> new Lastname(null)).isExactlyInstanceOf(IllegalArgumentException.class);
  }

  @Test
  void shouldGetLastname() {
    assertThat(new Lastname("Dupont").get()).isEqualTo("Dupont");
  }
}
