package fr.ippon.factory;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;

public class PersonTest {

  @Test
  void shouldGetPersonInformation() {
    Person person = Person.builder().firstname("Jean").lastname("Dupont").build();

    assertThat(person.getFirstname()).usingRecursiveComparison().isEqualTo(new Firstname("Jean"));

    assertThat(person.getLastname()).usingRecursiveComparison().isEqualTo(new Lastname("Dupont"));
  }
}
