package fr.craft.kata;

public record Line(String representation) {
  public static Line of(char character, char size) {
    String outerSpaces = outerSpaces(character, size);

    if (character == 'A') {
      return new Line(outerSpaces + "A" + outerSpaces);
    }

    return new Line(outerSpaces + character + innerSpaces(character) + character + outerSpaces);
  }

  private static String outerSpaces(char character, char size) {
    return " ".repeat(size - character);
  }

  private static String innerSpaces(char character) {
    return " ".repeat(((character - 'A') - 1) * 2 + 1);
  }
}
