package fr.ippon.leapyears;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;

class LeapYearsTest {

  @Test
  void shouldNotBeLeapYearsFor2021() {
    assertThat(Years.isLeap(2021)).isFalse();
  }

  @Test
  void shouldBeLeapYearsFor2020() {
    assertThat(Years.isLeap(2020)).isTrue();
  }

  @Test
  void shouldNotBeLeapYearsFor1900() {
    assertThat(Years.isLeap(1900)).isFalse();
  }

  @Test
  void shouldBeLeapYearsFor2000() {
    assertThat(Years.isLeap(2000)).isTrue();
  }
}
