package fr.craft.kata;

import fr.craft.kata.application.UsersApplicationService;
import fr.craft.kata.domain.Names;
import fr.craft.kata.infrastructure.primary.JavaUsers;
import fr.craft.kata.infrastructure.secondary.InMemoryUsersRepository;

public class Application {

  private JavaUsers users;

  public void start() {
    UsersApplicationService applicationService = new UsersApplicationService(
        new InMemoryUsersRepository());

    users = new JavaUsers(applicationService);
  }

  public Names getManagers() {
    return users.managers();
  }

}
