package fr.craft.kata.domain;

import static fr.craft.kata.domain.NamesFixture.*;
import static org.assertj.core.api.Assertions.*;

import java.util.List;

import org.junit.jupiter.api.Test;

class NameUnitTest {

  @Test
  void shouldGetFullName() {
    Name name = jeanPaul();

    assertThat(name.get()).isEqualTo("Jean-Paul DUPOND");
  }

  @Test
  void shouldSortNames() {
    Name colin = colin();
    List<Name> names = List.of(jeanPaul(), colin)
        .stream()
        .sorted()
        .toList();

    assertThat(names).containsExactly(colin, jeanPaul());
  }

}
